#/bin/bash

DIRNAME=`dirname $0`

# make-link source target
make_link() {

    rm -rf $HOME/$2 && ln -s $PWD/$DIRNAME/$1 $HOME/$2
    echo `realpath $PWD/$DIRNAME/$1`:'->':`realpath $HOME/$2`

}


main() {

    make_link zshrc .zshrc
    make_link vimrc .vimrc
    make_link ycm_extra_conf.py .vim/ycm_extra_conf.py
    make_link awesome .config/awesome
    make_link Xdefaults .Xdefaults
    make_link yaourtrc .yaourtrc

}

main | column -t -s ':'
